### Name: postprob
### Title: Calculates posterior probabilities for expression patterns
### Aliases: postprob postprob,ebarraysEMfit,exprSet-method
###   postprob,ebarraysEMfit,matrix-method show,ebarraysPostProb-method
###   ebarraysPostProb-class
### Keywords: models

### ** Examples

data(sample.exprSet.1) ## from Biobase
eset<-exprs(sample.exprSet.1)
patterns <- ebPatterns(c("1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1",
                         "1 1 1 1 1 1 1 1 1 1 1 1 1 2 2 2 2 2 2 2 2 2 2 2 2 2"))
gg.fit <- emfit(data = eset, family = "GG", hypotheses = patterns, verbose = TRUE)
prob<-postprob(gg.fit,eset)



